ru.bitel.bgbilling.modules.mangooffice.server.bean

## Class MangoFeeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<MangoFee>
      - - ru.bitel.bgbilling.modules.mangooffice.server.bean.MangoFeeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class MangoFeeDao
      extends ru.bitel.common.dao.AbstractIdDao<MangoFee>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MangoFeeDao(java.sql.Connection con, int moduleId, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<MangoFee>` | `aggregatedByService()`
    `void` | `checkAndCreateTable(Setup setup)`
    `int` | `deleteByDay(int day)`
    `protected MangoFee` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<MangoFee>` | `getListMangoFee(java.lang.String control)`
    `void` | `insertList(java.util.List<MangoFee> list)`
    `protected void` | `updateImpl(MangoFee fee)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MangoFeeDao

          public MangoFeeDao(java.sql.Connection con,
                             int moduleId,
                             java.util.Date date)

  - ### Method Detail

    - #### checkAndCreateTable

          public void checkAndCreateTable(Setup setup)

    - #### getListMangoFee

          public java.util.List<MangoFee> getListMangoFee(java.lang.String control)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByDay

          public int deleteByDay(int day)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### insertList

          public void insertList(java.util.List<MangoFee> list)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### aggregatedByService

          public java.util.List<MangoFee> aggregatedByService()
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(MangoFee fee)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<MangoFee>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected MangoFee getFromRS(java.sql.ResultSet rs)
                                throws java.sql.SQLException,
                                       ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<MangoFee>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`